Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.framework.interfaces
Class GenericClusteringException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.util.NestedException
                  org.jboss.ha.framework.interfaces.GenericClusteringException

All Implemented Interfaces:
  org.jboss.util.NestedThrowable, Serializable

public class GenericClusteringException
extends org.jboss.util.NestedException

Generic clustering exception that can be used to replace other exceptions that occur on the server. Thus, only this class is needed on the client side and some specific server side exceptions class are not needed on the client side (such as JMX exceptions for example). Furhtermore, it has support for "COMPLETED" status flag a la IIOP.

Version:
  $Revision: 1.4 $

  Revisions:

  8 avril 2002 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.jboss.util.NestedThrowable
`org.jboss.util.NestedThrowable.Util`

Field Summary
`int` | `completed`
`static int` | `COMPLETED_MAYBE`
`static int` | `COMPLETED_NO`
`static int` | `COMPLETED_YES`
`boolean` | `isDefinitive`

Fields inherited from class org.jboss.util.NestedException
`nested`

Fields inherited from interface org.jboss.util.NestedThrowable
`DETECT_DUPLICATE_NESTING, NESTED_TRACE_ENABLED, PARENT_TRACE_ENABLED`

Constructor Summary
`GenericClusteringException()`
`GenericClusteringException(int CompletionStatus)`
`GenericClusteringException(int CompletionStatus, String s)`
`GenericClusteringException(int CompletionStatus, String s, boolean isDefinitive)`
`GenericClusteringException(int CompletionStatus, Throwable nested)`
`GenericClusteringException(int CompletionStatus, Throwable nested, boolean isDefinitive)`

Method Summary
`int` | `getCompletionStatus()`
`boolean` | `isDefinitive()`
`void` | `setCompletionStatus(int completionStatus)`
`void` | `setIsDefinitive(boolean definitive)`

Methods inherited from class org.jboss.util.NestedException
`getCause, getMessage, getNested, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMPLETED_YES

    public static final int COMPLETED_YES

See Also:
  Constant Field Values

### COMPLETED_NO

    public static final int COMPLETED_NO

See Also:
  Constant Field Values

### COMPLETED_MAYBE

    public static final int COMPLETED_MAYBE

See Also:
  Constant Field Values

### isDefinitive

    public boolean isDefinitive

### completed

    public int completed

Constructor Detail

### GenericClusteringException

    public GenericClusteringException()

### GenericClusteringException

    public GenericClusteringException(int CompletionStatus)

### GenericClusteringException

    public GenericClusteringException(int CompletionStatus,
                                      String s)

### GenericClusteringException

    public GenericClusteringException(int CompletionStatus,
                                      String s,
                                      boolean isDefinitive)

### GenericClusteringException

    public GenericClusteringException(int CompletionStatus,
                                      Throwable nested,
                                      boolean isDefinitive)

### GenericClusteringException

    public GenericClusteringException(int CompletionStatus,
                                      Throwable nested)

Method Detail

### getCompletionStatus

    public int getCompletionStatus()

### setCompletionStatus

    public void setCompletionStatus(int completionStatus)

### isDefinitive

    public boolean isDefinitive()

### setIsDefinitive

    public void setIsDefinitive(boolean definitive)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.